Create campaign
curl -X POST "https://api.callaro.ai/api/v1/bulk_call_campaigns" \
-H "X-Api-Key: $CALLARO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Q2 Outreach","agent_id":42,"timezone":"Asia/Kolkata","campaign_phone_number_ids":[101]}'await fetch('https://api.callaro.ai/api/v1/bulk_call_campaigns', {
method: 'POST',
headers: {
'X-Api-Key': process.env.CALLARO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Q2 Outreach',
agent_id: 42,
timezone: 'Asia/Kolkata',
campaign_phone_number_ids: [101]
})
});
import requests
requests.post(
'https://api.callaro.ai/api/v1/bulk_call_campaigns',
headers={
'X-Api-Key': 'YOUR_CALLARO_API_KEY',
'Content-Type': 'application/json',
},
json={
'name': 'Q2 Outreach',
'agent_id': 42,
'timezone': 'Asia/Kolkata',
'campaign_phone_number_ids': [101],
},
timeout=30,
)
{
"data": {},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Campaigns
Create campaign
POST
/
api
/
v1
/
bulk_call_campaigns
Create campaign
curl -X POST "https://api.callaro.ai/api/v1/bulk_call_campaigns" \
-H "X-Api-Key: $CALLARO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Q2 Outreach","agent_id":42,"timezone":"Asia/Kolkata","campaign_phone_number_ids":[101]}'await fetch('https://api.callaro.ai/api/v1/bulk_call_campaigns', {
method: 'POST',
headers: {
'X-Api-Key': process.env.CALLARO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Q2 Outreach',
agent_id: 42,
timezone: 'Asia/Kolkata',
campaign_phone_number_ids: [101]
})
});
import requests
requests.post(
'https://api.callaro.ai/api/v1/bulk_call_campaigns',
headers={
'X-Api-Key': 'YOUR_CALLARO_API_KEY',
'Content-Type': 'application/json',
},
json={
'name': 'Q2 Outreach',
'agent_id': 42,
'timezone': 'Asia/Kolkata',
'campaign_phone_number_ids': [101],
},
timeout=30,
)
{
"data": {},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKeypartnerApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Body
application/json
The body is of type object.
Was this page helpful?

